POST api/Course/Clock/Praise
会员打卡记录点赞(说明:App和小程序通用)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_ClockPraise| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信OpenId |
string |
None. |
| courseId |
课程Id |
integer |
None. |
| clockRecordId |
打卡记录Id |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"courseId": 2,
"clockRecordId": 3
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:信息不存在(1、未订阅课程)... 。400:失败... 。200:成功(第一次点赞)... 。205:重置成功(已点赞重置)... 。
ClockPraiseResult| Name | Description | Type | Additional information |
|---|---|---|---|
| praiseRecordId |
点赞记录Id |
integer |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"praiseRecordId": 1,
"status": 2,
"msg": "sample string 3"
}